
Figure - Bug #118929
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开小窗应用，反复上划进入recent界面，卡在放大的“暂无后台任务应用”
界面
2023-06-29 18:16 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-29

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0629DB

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause: 跟#118923一样

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开小窗应用

2、反复上划进入recent界面

【预期结果】

2、正常出现recent界面

【实际结果】

2、卡在放大的“暂无后台任务应用”界面

History

#1 - 2023-06-30 10:50 - CD APP-王宏

意外卡在Background 状态下，堆栈日志如下

2023-06-27 05:52:14.931 10253-10253/com.android.launcher3 D/StateManager: goToState: Background animated: false

    java.lang.Throwable

        at com.android.launcher3.statemanager.StateManager.goToState(StateManager.java:199)

        at com.android.launcher3.statemanager.StateManager.goToState(StateManager.java:148)

        at com.android.quickstep.BaseActivityInterface$DefaultAnimationFactory.initUI(BaseActivityInterface.java:428)

        at com.android.quickstep.LauncherActivityInterface.prepareRecentsUI(LauncherActivityInterface.java:137)

        at com.android.quickstep.AbsSwipeUpHandler.lambda$onLauncherStart$5$AbsSwipeUpHandler(AbsSwipeUpHandler.java:428)

        at com.android.quickstep.AbsSwipeUpHandler$$ExternalSyntheticLambda16.run(Unknown Source:2)

        at com.android.quickstep.MultiStateCallback.setState(MultiStateCallback.java:83)

        at com.android.quickstep.MultiStateCallback.setStateOnUiThread(MultiStateCallback.java:58)

        at com.android.quickstep.AbsSwipeUpHandler.onGestureStarted(AbsSwipeUpHandler.java:803)

        at com.android.quickstep.inputconsumers.OtherActivityInputConsumer.notifyGestureStarted(OtherActivityInputConsumer.java:388)

        at com.android.quickstep.inputconsumers.OtherActivityInputConsumer.onMotionEvent(OtherActivityInputConsumer.java:343)

        at com.android.quickstep.TouchInteractionService.onInputEvent(TouchInteractionService.java:706)

        at com.android.quickstep.TouchInteractionService.$r8$lambda$QnySfMPM3HQvC_OREg1W70p37mY(Unknown Source:0)
        at com.android.quickstep.TouchInteractionService$$ExternalSyntheticLambda4.onInputEvent(Unknown Source:2)

        at com.android.systemui.shared.system.InputChannelCompat$InputEventReceiver$1.onInputEvent(InputChannelCompat.java:74)

        at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:260)

        at android.view.InputEventReceiver.nativeConsumeBatchedInputEvents(Native Method)

        at android.view.InputEventReceiver.consumeBatchedInputEvents(InputEventReceiver.java:240)

        at android.view.BatchedInputEventReceiver.onBatchedInputEventPending(BatchedInputEventReceiver.java:44)

        at android.os.MessageQueue.nativePollOnce(Native Method)

        at android.os.MessageQueue.next(MessageQueue.java:335)

        at android.os.Looper.loopOnce(Looper.java:161)

        at android.os.Looper.loop(Looper.java:288)

        at android.app.ActivityThread.main(ActivityThread.java:7880)

        at java.lang.reflect.Method.invoke(Native Method)

        at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

        at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

发现 Background 之后未进入normal，这将会导致状态不对应，且界面上的展示也会出问题。

之前出现的Recent重叠在桌面上也可能于此有关

#2 - 2023-07-05 18:11 - CD APP-王宏

- File device-2023-07-05-174254.png added

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王宏 to CD FW-鲁凯峰

根据最新测试情况，发现是小窗应用在滑动过程中意外转变为全屏应用后突然消失，此处手势走了返回到全屏应用的逻辑，

导致页面展示异常，请小窗同事保证一下小窗不要出现应用全屏的情况

#3 - 2023-07-05 18:12 - CD APP-王宏

- Category changed from CD-APP to 窗口定制

#4 - 2023-07-07 09:54 - CD FW-鲁凯峰

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Root cause set to 跟#118923一样

全屏问题已经解决

跟#118923一样

#5 - 2023-07-08 15:01 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

0708DB验证通过

#6 - 2023-07-08 15:01 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
#7 - 2023-07-14 16:00 - CDTS_Test 吴诗雨

- File 1527.txt added

- Status changed from CLOSED to New

- Assignee changed from CDTS_Test 吴诗雨 to CD FW-鲁凯峰

122版本复现一次

复现情况：

打开APP，进入多任务管理器，返回主页。反复操作

#8 - 2023-07-14 16:08 - CD FW-鲁凯峰

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

跟上次相比,这次不存在本该是小窗应用变成全屏的情况

//上次小窗应用变成全屏

07-02 12:57:33.991  1041  6161 D FreeFormWindowHelper: handleFreeformTask : Task{c9b553d #1117 type=standard A=10104:com.ss.android.ugc.aweme U=0

visible=true mode=fullscreen translucent=false sz=2 visible freeform task=true rootAffinity=10104:com.ss.android.ugc.aweme isMini=false}

从这次的日志看,应用的launchMode都是对的

07-14 06:21:10.278  1611  2049 D FreeFormWindowHelper: handleFreeformTask : Task{f8630fe #2003 type=standard A=10122:com.qiyi.video U=0 visible=true

mode=fullscreen translucent=false sz=1 visible freeform task=true rootAffinity=10122:com.qiyi.video isMini=false}

07-14 06:21:10.503  1611 21255 D FreeFormWindowHelper: handleFreeformTask : Task{f8630fe #2003 type=standard A=10122:com.qiyi.video U=0 visible=true

mode=fullscreen translucent=false sz=1 visible freeform task=true rootAffinity=10122:com.qiyi.video isMini=false}

...

07-14 06:22:16.284  1611 18823 D FreeFormWindowHelper: handleFreeformTask : Task{6ebe6c #1 type=home ?? U=0 visible=true mode=fullscreen translucent=false sz=1

visible freeform task=true rootAffinity=null isMini=false}

07-14 06:22:16.776  1611  1761 D FreeFormWindowHelper: handleFreeformTask : Task{6ebe6c #1 type=home ?? U=0 visible=true mode=fullscreen translucent=false sz=1

visible freeform task=true rootAffinity=null isMini=false}

需要Launcher继续调查原因

#9 - 2023-08-03 17:18 - CD APP-王宏

- Status changed from New to NEED_INFO

- Assignee changed from CD APP-王宏 to CD TEST-方永红

https://share.thundersoft.com/redmine/issues/119011

#10 - 2023-08-24 15:58 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

关联BUGIOVDEV-36522已关闭

#11 - 2023-08-24 15:58 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED
#12 - 2023-08-24 15:59 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

20230629-181513.jpg 106 KB 2023-06-29 CDTS_Test 吴诗雨

device-2023-07-05-174254.png 1.89 MB 2023-07-05 CD APP-王宏

1527.txt 4.05 MB 2023-07-14 CDTS_Test 吴诗雨
